AutoScalingGroupsApi
Method
HTTP request
Description
GroupsActionsFindById
var result Action = GroupsActionsFindById(ctx, actionId, groupId)
.Depth(depth)
.Execute()Example
package main
import (
"context"
"fmt"
"os"
ionoscloud "github.com/ionos-cloud/sdk-go-vm-autoscaling"
)
func main() {
actionId := "38400000-8cf0-11bd-b23e-10b96e4ef00d" // string |
groupId := "groupId_example" // string |
depth := float32(8.14) // float32 | With this parameter, you control the level of detail of the response objects: - ``0``: Only direct properties are included; children (such as executions or transitions) are not considered. - ``1``: Direct properties and children references are included. - ``2``: Direct properties and children properties are included. - ``3``: Direct properties and children properties and children's children are included. - etc. (optional)
configuration := ionoscloud.NewConfiguration("USERNAME", "PASSWORD", "TOKEN", "HOST_URL")
apiClient := ionoscloud.NewAPIClient(configuration)
resource, resp, err := apiClient.AutoScalingGroupsApi.GroupsActionsFindById(context.Background(), actionId, groupId).Depth(depth).Execute()
if err != nil {
fmt.Fprintf(os.Stderr, "Error when calling `AutoScalingGroupsApi.GroupsActionsFindById``: %v\n", err)
fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", resp)
}
// response from `GroupsActionsFindById`: Action
fmt.Fprintf(os.Stdout, "Response from `AutoScalingGroupsApi.GroupsActionsFindById`: %v\n", resource)
}Path Parameters
Name
Type
Description
Notes
Other Parameters
Name
Type
Description
Notes
Return type
HTTP request headers
URLs Configuration per Operation
GroupsActionsGet
Example
Path Parameters
Name
Type
Description
Notes
Other Parameters
Name
Type
Description
Notes
Return type
HTTP request headers
URLs Configuration per Operation
GroupsDelete
Example
Path Parameters
Name
Type
Description
Notes
Other Parameters
Return type
HTTP request headers
URLs Configuration per Operation
GroupsFindById
Example
Path Parameters
Name
Type
Description
Notes
Other Parameters
Name
Type
Description
Notes
Return type
HTTP request headers
URLs Configuration per Operation
GroupsGet
Example
Path Parameters
Other Parameters
Name
Type
Description
Notes
Return type
HTTP request headers
URLs Configuration per Operation
GroupsPost
Example
Path Parameters
Other Parameters
Name
Type
Description
Notes
Return type
HTTP request headers
URLs Configuration per Operation
GroupsPut
Example
Path Parameters
Name
Type
Description
Notes
Other Parameters
Name
Type
Description
Notes
Return type
HTTP request headers
URLs Configuration per Operation
GroupsServersFindById
Example
Path Parameters
Name
Type
Description
Notes
Other Parameters
Name
Type
Description
Notes
Return type
HTTP request headers
URLs Configuration per Operation
GroupsServersGet
Example
Path Parameters
Name
Type
Description
Notes
Other Parameters
Name
Type
Description
Notes
Return type
HTTP request headers
URLs Configuration per Operation
Last updated
Was this helpful?